#ifndef __HRN_QUEUE_ITEM_H__
#define __HRN_QUEUE_ITEM_H__

#include <nbtk/nbtk.h>

G_BEGIN_DECLS

#define HRN_TYPE_QUEUE_ITEM                                             \
   (hrn_queue_item_get_type())
#define HRN_QUEUE_ITEM(obj)                                             \
   (G_TYPE_CHECK_INSTANCE_CAST ((obj),                                  \
                                HRN_TYPE_QUEUE_ITEM,                    \
                                HrnQueueItem))
#define HRN_QUEUE_ITEM_CLASS(klass)                                     \
   (G_TYPE_CHECK_CLASS_CAST ((klass),                                   \
                             HRN_TYPE_QUEUE_ITEM,                       \
                             HrnQueueItemClass))
#define IS_HRN_QUEUE_ITEM(obj)                                          \
   (G_TYPE_CHECK_INSTANCE_TYPE ((obj),                                  \
                                HRN_TYPE_QUEUE_ITEM))
#define IS_HRN_QUEUE_ITEM_CLASS(klass)                                  \
   (G_TYPE_CHECK_CLASS_TYPE ((klass),                                   \
                             HRN_TYPE_QUEUE_ITEM))
#define HRN_QUEUE_ITEM_GET_CLASS(obj)                                   \
   (G_TYPE_INSTANCE_GET_CLASS ((obj),                                   \
                               HRN_TYPE_QUEUE_ITEM,                     \
                               HrnQueueItemClass))

typedef struct _HrnQueueItemPrivate HrnQueueItemPrivate;
typedef struct _HrnQueueItem      HrnQueueItem;
typedef struct _HrnQueueItemClass HrnQueueItemClass;

struct _HrnQueueItem
{
    NbtkTable parent;

    HrnQueueItemPrivate *priv;
};

struct _HrnQueueItemClass
{
    NbtkTableClass parent_class;
};

GType hrn_queue_item_get_type (void) G_GNUC_CONST;

G_END_DECLS

#endif /* __HRN_QUEUE_ITEM_H__ */
