#ifndef __HRN_QUEUE_ITEM_FACTORY_H__
#define __HRN_QUEUE_ITEM_FACTORY_H__

#include <glib-object.h>

G_BEGIN_DECLS

#define HRN_TYPE_QUEUE_ITEM_FACTORY                                     \
   (hrn_queue_item_factory_get_type())
#define HRN_QUEUE_ITEM_FACTORY(obj)                                     \
   (G_TYPE_CHECK_INSTANCE_CAST ((obj),                                  \
                                HRN_TYPE_QUEUE_ITEM_FACTORY,            \
                                HrnQueueItemFactory))
#define HRN_QUEUE_ITEM_FACTORY_CLASS(klass)                             \
   (G_TYPE_CHECK_CLASS_CAST ((klass),                                   \
                             HRN_TYPE_QUEUE_ITEM_FACTORY,               \
                             HrnQueueItemFactoryClass))
#define IS_HRN_QUEUE_ITEM_FACTORY(obj)                                  \
   (G_TYPE_CHECK_INSTANCE_TYPE ((obj),                                  \
                                HRN_TYPE_QUEUE_ITEM_FACTORY))
#define IS_HRN_QUEUE_ITEM_FACTORY_CLASS(klass)                          \
   (G_TYPE_CHECK_CLASS_TYPE ((klass),                                   \
                             HRN_TYPE_QUEUE_ITEM_FACTORY))
#define HRN_QUEUE_ITEM_FACTORY_GET_CLASS(obj)                           \
   (G_TYPE_INSTANCE_GET_CLASS ((obj),                                   \
                               HRN_TYPE_QUEUE_ITEM_FACTORY,             \
                               HrnQueueItemFactoryClass))

typedef struct _HrnQueueItemFactoryPrivate HrnQueueItemFactoryPrivate;
typedef struct _HrnQueueItemFactory      HrnQueueItemFactory;
typedef struct _HrnQueueItemFactoryClass HrnQueueItemFactoryClass;

struct _HrnQueueItemFactory
{
    GObject parent;

    HrnQueueItemFactoryPrivate *priv;
};

struct _HrnQueueItemFactoryClass
{
    GObjectClass parent_class;
};

GType hrn_queue_item_factory_get_type (void) G_GNUC_CONST;
HrnQueueItemFactory *hrn_queue_item_factory_new (void);

G_END_DECLS

#endif /* __HRN_QUEUE_ITEM_FACTORY_H__ */
