#ifndef __HRN_QUEUE_H__
#define __HRN_QUEUE_H__

#include <nbtk/nbtk.h>

#include <bognor/br-queue.h>

#include "hrn-source-manager.h"

G_BEGIN_DECLS

#define HRN_TYPE_QUEUE                                                  \
   (hrn_queue_get_type())
#define HRN_QUEUE(obj)                                                  \
   (G_TYPE_CHECK_INSTANCE_CAST ((obj),                                  \
                                HRN_TYPE_QUEUE,                         \
                                HrnQueue))
#define HRN_QUEUE_CLASS(klass)                                          \
   (G_TYPE_CHECK_CLASS_CAST ((klass),                                   \
                             HRN_TYPE_QUEUE,                            \
                             HrnQueueClass))
#define IS_HRN_QUEUE(obj)                                               \
   (G_TYPE_CHECK_INSTANCE_TYPE ((obj),                                  \
                                HRN_TYPE_QUEUE))
#define IS_HRN_QUEUE_CLASS(klass)                                       \
   (G_TYPE_CHECK_CLASS_TYPE ((klass),                                   \
                             HRN_TYPE_QUEUE))
#define HRN_QUEUE_GET_CLASS(obj)                                        \
   (G_TYPE_INSTANCE_GET_CLASS ((obj),                                   \
                               HRN_TYPE_QUEUE,                          \
                               HrnQueueClass))

typedef struct _HrnQueuePrivate HrnQueuePrivate;
typedef struct _HrnQueue      HrnQueue;
typedef struct _HrnQueueClass HrnQueueClass;

struct _HrnQueue
{
    NbtkBin parent;

    HrnQueuePrivate *priv;
};

struct _HrnQueueClass
{
    NbtkBinClass parent_class;
};

GType hrn_queue_get_type (void) G_GNUC_CONST;
HrnQueue *hrn_queue_new (BrQueue          *queue,
                         HrnSourceManager *manager);

G_END_DECLS

#endif /* __HRN_QUEUE_H__ */
